var idlogout = {};

idlogout.get_services = function() {
    return JSON.parse($('#services').attr('data_values'));
};

idlogout.logout_service = function(service) {
    var logout_url = service.url + 'sso_logout';
    console.log('logging out of ' + service.name);
    $.ajax({
        type: 'GET',
        url: logout_url,
        contentType: 'text/plain',
        xhrFields: {
            withCredentials: true
        },
        success: function() {
            $('#status_'+service.idx).class('logout-status-ok').text('OK');
            console.log('successful logout for ' + service.name);
        },
        error: function() {
            $('#status_'+service.idx).class('logout-status-error').text('ERROR');
            console.log('error logging out of ' + service.name);
        }
    });
};

idlogout.logout = function() {
    var services = idlogout.get_services();
    $.each(services, func(index, arg) {
        idlogout.logout_service(arg);
    });
};

$(function() {
    idlogout.logout();
});
